Retrieve a message
Retrieve a message
curl --request GET \
--url https://api.yorlet.com/v1/loyalty/messages/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/loyalty/messages/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/loyalty/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/loyalty/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/loyalty/messages/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/loyalty/messages/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/loyalty/messages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "loyalty.message",
"body": "<string>",
"category": "announcement",
"channels": [
"email"
],
"delivery": {
"attempted": 123,
"delivered": 123,
"failed": 123,
"skipped": 123,
"read": 0
},
"email_delivery": {
"attempted": 123,
"delivered": 123,
"failed": 123,
"skipped": 123
},
"failure_code": "no_email",
"recipient": {
"type": "building",
"building": "<string>"
},
"sent_at": 123,
"status": "failed",
"title": "<string>",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Retrieve a message
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
loyalty.message The body of the message shown to the recipient.
The category of the message. null when the message is not categorised.
announcement, event, offer, alert, null The delivery channels used for the message.
1How the message is delivered. push sends a OneMove notification. email sends to the resident or customer email address.
email, push A summary of the OneMove push delivery attempts for the message.
Show child attributes
Show child attributes
A summary of the email delivery attempts for the message. null when email was not one of the requested channels.
Show child attributes
Show child attributes
The reason the message could not be delivered, if it failed.
no_email, no_onemove_user, no_device_tokens, send_error, null The recipient of the message.
- Building
- Option 2
Show child attributes
Show child attributes
The date and time the message was sent.
The status of the message.
failed, pending, sent The title of the message shown to the recipient.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
curl --request GET \
--url https://api.yorlet.com/v1/loyalty/messages/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/loyalty/messages/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/loyalty/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/loyalty/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/loyalty/messages/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yorlet.com/v1/loyalty/messages/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/loyalty/messages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "loyalty.message",
"body": "<string>",
"category": "announcement",
"channels": [
"email"
],
"delivery": {
"attempted": 123,
"delivered": 123,
"failed": 123,
"skipped": 123,
"read": 0
},
"email_delivery": {
"attempted": 123,
"delivered": 123,
"failed": 123,
"skipped": 123
},
"failure_code": "no_email",
"recipient": {
"type": "building",
"building": "<string>"
},
"sent_at": 123,
"status": "failed",
"title": "<string>",
"account": "<string>",
"deleted": false
}